[Debian Etch] Installazione asterisk 1.4

Modifiche NSLU2

Moderatore: phpBB Moderatori

Messaggioda Tokka » ven giu 27, 2008 11:06 pm

Cominciamo a scrivere qualcosina.....
Tra i pacchetti "pronti", ovvero quelli che potete installare tramite aptitude o apt-get install, c'è asterisk 1.2, ma se volete una versione più recente dovete fare da soli, installando anche programmi e librerie necessarie :( (il discorso cambia se usate una distro debian diversa, lenny o sid, ma non è questo il caso ;D)

Le guide a cui mi sono ispirato/riferito, anche se non proprio alla lettera, sono queste (un sentito grazie agli autori ;D):
http://www.ip-pbx.it/forum/showthread.php?t=41
http://www.asteriskguru.com/tutorials/a ... ebian.html

Un po' di comandi per cominciare
in caso non aveste installato alcuni comandi e librerie, procediamo con:
apt-get install make
apt-get install gcc
apt-get install libc-dev
apt-get install libncurses5-dev
apt-get install g++

spostiamoci in src con
cd /usr/src
poi
wget http://downloads.digium.com/pub/asteris ... 9.1.tar.gz
wget http://downloads.digium.com/pub/libpri/ ... 4.3.tar.gz
wget http://downloads.digium.com/pub/asteris ... 4.6.tar.gz

e scompattiamo il tutto:
tar -xzvf asterisk-1.4.19.1.tar.gz
tar -xzvf libpri-1.4.3.tar.gz
tar -xzvf asterisk-addons-1.4.6.tar.gz

poi:
cd /usr/src/libpri-1.4.3
make && make install

cd /usr/src/asterisk-1.4.19.1
./configure
make && make install

Edit: purtroppo sto riscontrando questo problema dopo il make && make install

src/add.c:1: error: bad value (armv5tel) for -march= switch
Assembler messages:
Error: unknown architecture `armv5tel'

Error: unrecognized option -march=armv5tel
make[2]: *** [src/add.o] Error 1
make[1]: *** [gsm/lib/libgsm.a] Error 2
make: *** [codecs] Error 2


Ho anche provato ad installare zaptel, ma anche qui mi da errore (anche se questo sembra + un errore di kernel non aggiornato....):

Generating input for menuselect ...
make[1]: Entering directory `/usr/src/zaptel-1.4.10.1'
echo "You do not appear to have the sources for the 2.6.18-6-ixp4xx kernel installed."
You do not appear to have the sources for the 2.6.18-6-ixp4xx kernel installed.
exit 1
make[1]: *** [modules] Error 1
make[1]: Leaving directory `/usr/src/zaptel-1.4.10.1'


Se avete qualche idea/suggerimento vi ringrazio, perchè in rete non ho trovato soluzioni :(
Ultima modifica di Tokka il dom giu 29, 2008 11:13 pm, modificato 1 volta in totale.
Fritz
vari...
Ip-301 lock & free
Nslu2 -> debian [lenny]
Gigaset S450IP
Sto rimettendo in piedi la baracca
Avatar utente
Tokka
Guru
Guru
 
Messaggi: 4151
Iscritto il: gio feb 23, 2006 11:04 am
Località: 7113 fw mod con asterisk 1.8, 7240 fw mod con asterisk 11, 7140 fw mod con umts
Ha ringraziato: 9 volte
Hai ringraziamenti: 12 volte

  • Argomento simile
    Risposte
    Visite
    Autore

Torna a NSLU2

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti

cron